#!/usr/bin/env python3
# coding: utf-8

#!/usr/bin/python3
# -*- coding: utf-8 -*-

"""
wechat check agent wether online

author: dell author
last edited: Feb 2019
"""

import time
import json
import asyncio
from PyQt5.QtCore import QMutex
from DellLinuxAssistant.telemetry.dbus_helper import DbusHandler
from DellLinuxAssistant.telemetry.telemetry_common import Struct
from DellLinuxAssistant.registration.utils.WeChatRepository import WeChatRepository


class WeChatFollowCheckAgent(object):
    "wechat check agent wether online"

    def __init__(self):
        self._running = True
        self._mutex = QMutex()

        self.dbus_handler = DbusHandler()
        self.system_profile = self.dbus_handler.backend().get_HW_info()
        serviceTag = self.system_profile[0]
        lob = serviceTag.lower()

        _output = self.dbus_handler.backend().get_library_info("GetSystemProfile", "{}")
        systemProfile = Struct(**(json.loads(_output)))

        self.WechatApi = WeChatRepository(serviceTag,
                                          lob,
                                          systemProfile.weChatBaseUrl,
                                          systemProfile.weChatSecretKey)


    def CheckAsync(self, telemetryType):
        """
        check async
        :param telemetryType: manual|auto
        :return:
        """
        if telemetryType == "Manual":
            self.dbus_handler.logMetricEvent("WeChat", "Manual")

        isFollowd = self.WechatApi.CheckWechatFollowingFromWeb()
        if isFollowd:
            self.dbus_handler.logMetricEvent("WeChat", "Auto")

        return isFollowd


if __name__ == "__main__":
    wechatAgent = WeChatFollowCheckAgent()
