#!/usr/bin/python3
# -*- coding: utf-8 -*-

import subprocess
from distutils.core import setup
from DistUtilsExtra.command import (build_extra,
                                   build_i18n,
                                   build_help,
                                   build_icons,
                                   clean_i18n)

import glob, os.path, os


setup(
    name="DellLinuxAssistant",
    author="Vincent Hu",
    author_email="Vincent_Hu2@Dell.com",
    maintainer="Vincent Hu",
    maintainer_email="Vincent_Hu2@Dell.com",
    url="http://xxxx.com/",
    license="gpl",
    description="Dell Telemetry",
    packages=['DellLinuxAssistant',
              'DellLinuxAssistant.telemetry',
              'DellLinuxAssistant.registration',
              'DellLinuxAssistant.registration.utils',
              'DellLinuxAssistant.portal',
              'DellLinuxAssistant.portal.utils',
              'ApschedulerStandalone',
              'ApschedulerStandalone.jobstores',
              'ApschedulerStandalone.triggers',
              'ApschedulerStandalone.triggers.cron',
             ],
    data_files=[('/etc/init.d/',['dell-linux-assistantd']),
                ('share/pixmaps', glob.glob("DellLinuxAssistant/portal/statics/common/img/*.svg")),
                ('share/dell-linux-assistant/registration/jsons', glob.glob("DellLinuxAssistant/registration/statics/jsons/*")),
                ('share/dell-linux-assistant/common/css', glob.glob("DellLinuxAssistant/portal/statics/common/css/*")),
                ('share/dell-linux-assistant/common/js', glob.glob("DellLinuxAssistant/portal/statics/common/js/*")),
                ('share/dell-linux-assistant/common/img', glob.glob("DellLinuxAssistant/portal/statics/common/img/*")),
                ('share/dell-linux-assistant/portal/html', glob.glob("DellLinuxAssistant/portal/statics/html/*")),
                ('share/dell-linux-assistant/LICENSES', glob.glob("LICENSES/*")),
                ('share/dell-linux-assistant', glob.glob("TELEMETRY_PRIVACY")),
                ('/etc/dell-linux-assistant', glob.glob("DellLinuxAssistant/*.ini")),
                ('share/dell-linux-assistant', glob.glob("DellLinuxAssistant/*.dat")),
                ('/etc/dbus-1/system.d/', glob.glob('backend/*.conf')),
                ('share/dell/scripts', glob.glob('late/scripts/*')),
                ('share/applications', ['DellLinuxAssistant/portal/dell-linux-assistant.desktop']),
                ('/etc/xdg/autostart', ['DellLinuxAssistant/portal/dell-linux-assistant-notify.desktop']),
                ('share/icons/dell-linux-assistant', glob.glob("DellLinuxAssistant/portal/statics/common/img/*.svg")),
                ('share/polkit-1/actions', glob.glob('backend/*.policy')),
                ('lib/x86_64-linux-gnu/dell-linux-assistant', glob.glob("DellLinuxAssistant/*.so")),
                ('/etc/systemd/system/',['DellLinuxAssistant/systemd/dell-linux-assistant.service']),
                ('/etc/apt/sources.list.d/', ['apt.source/somerville-dla-team-ubuntu-ppa-bionic.list']),
                ('/etc/apt/trusted.gpg.d/', ['apt.source/somerville-dla-team_ubuntu_ppa.gpg'])],

    scripts=["dell-linux-assistantd", "dell-linux-assistant", "stop-dell-linux-assistantd"],
)
