#!/usr/bin/env python
#-*- coding:utf-8 -*-
import os
import configparser
from DellLinuxAssistant.telemetry.telemetry_common import INI_FILE
import sys
package_path = os.path.abspath(os.path.join(__file__,'..','..','DellLinuxAssistant'))
# print(package_path)
sys.path.insert(0,package_path)
import unittest
from file_helper import FileHelper

from datetime import datetime

class TestFileHelper(unittest.TestCase):

    def setUp(self):
        config = configparser.ConfigParser()
        config.read(INI_FILE)
        conf = config['TEST']
        # debug mode
        conf['debug'] = 'yes'
        self.folderPath = conf['PlatinumFolderPath']
        if not os.path.exists(self.folderPath):
            os.makedirs(self.folderPath)
        print(self.folderPath)
        from event import Event
        self.test_event = Event('HB')
        # profile variables
        from profile import Profile
        self.profile = Profile(os.path.join(conf['PlatinumFolderPath'], conf['Platinum_Setting_Filename']))


    @unittest.skip("")
    def test_GetNextEventFileDetails(self):
        size = 1
        nextEvent = FileHelper().GetNextEventFileDetails(size,self.folderPath)
        print(nextEvent)

    @unittest.skip("")
    def test_SaveData(self):
        FileHelper().SaveData(self.profile, os.path.join(self.folderPath,"test.data"))

    # @unittest.skip("")
    def test_GetDataFromFile(self):
        profile = FileHelper().GetDataFromFile(os.path.join(self.folderPath,"test.data"))
        attrs = vars(profile)
        print('\n'.join("%s: %s" % _ for _ in attrs.items()))


if __name__ == "__main__":
    unittest.main()

