#!/usr/bin/env python
#-*- coding:utf-8 -*-
import os
import sys
import configparser
from DellLinuxAssistant.telemetry.telemetry_common import INI_FILE
package_path = os.path.abspath(os.path.join(__file__,'..','..','DellLinuxAssistant'))
# print(package_path)
sys.path.insert(0,package_path)
import unittest
from message_helper import *
from file_helper import *

from datetime import datetime

from DellLinuxAssistant.telemetry.profile import Profile
from DellLinuxAssistant.telemetry.event import Event

class TestMessageHelper(unittest.TestCase):

    def setUp(self):
        config = configparser.ConfigParser()
        config.read(INI_FILE)
        self.conf = config['TEST']
        # debug mode
        self.conf['debug'] = 'yes'
        self.folderPath = self.conf['PlatinumFolderPath']
        if not os.path.exists(self.folderPath):
            os.makedirs(self.folderPath)
        self.test_event = Event('HB')
        # profile variables
        self.test_profile = Profile(os.path.join(self.conf['PlatinumFolderPath'], self.conf['Platinum_Setting_Filename']))
        self.test_message_helper = MessageHelper(self.conf)



    # @unittest.skip("")
    def test_Message(self):
        test_message = Message(self.test_profile,self.test_event)
        attrs = vars(test_message)
        print('\n'.join("%s: %s" % _ for _ in attrs.items()))
        for key,value in attrs.items():
            # print(key,':',value)
            attrs = vars(test_message.__dict__[key])
            print('\n'.join("%s: %s" % _ for _ in attrs.items()))

    # @unittest.skip("")
    def test_SendMessage(self):
        test_message = Message(self.test_profile, self.test_event)
        try:
            self.test_message_helper.SendMessage(test_message)
        except Exception as e:
            print("[test_SendMessage]SendMessage method is called failed, {}".format(str(e)))


    # @unittest.skip("")
    def test_IsMessagesAvailableToSend(self):
        print(self.test_message_helper._IsMessagesAvailableToSend(self.folderPath))

if __name__ == "__main__":
    unittest.main()

