#!/usr/bin/env python
#-*- coding:utf-8 -*-
import os
import sys
import configparser
from DellLinuxAssistant.telemetry.telemetry_common import INI_FILE
package_path = os.path.abspath(os.path.join(__file__,'..','..','DellLinuxAssistant'))
# print(package_path)
sys.path.insert(0,package_path)
import unittest
from queue_message_client import *
import time
from ApschedulerStandalone.scheduler import Scheduler
from ApschedulerStandalone.scheduler import SchedulerAlreadyRunningError



class TestQueueMessageClient(unittest.TestCase):

    def setUp(self):
        config = configparser.ConfigParser()
        config.read(INI_FILE)
        self.conf = config['TEST']
        # debug mode
        self.conf['debug'] = 'yes'
        self.scheduler = Scheduler()
        self.scheduler.start()
        self.client = QueueMessageClient(self.conf,self.scheduler)

    # @unittest.skip("")
    def test_Heartbeat(self):
        self.client.Heartbeat()

    # @unittest.skip("")
    def test_OneTimePing(self):
        self.client.OneTimePing()

    # @unittest.skip("")
    def test_LogEvent(self):
        self.client.LogEvent('test1')

    # @unittest.skip("")
    def test_LogLogMetricEvent(self):
        self.client.LogLogMetricEvent('test2','this is a test case')


if __name__ == "__main__":
    unittest.main()

